//---------------------------------------------------------------------------------------------------------------------
/**
 *
 * @package  LabbitBox1.0
 * @author   neobaba
 * @since    2010/9/4
*/ 
//---------------------------------------------------------------------------------------------------------------------
var LbCanvas = Class.create({
    //コンストラクタ
    initialize: function(id, canvasLeft, canvasTop, canvasWidth, canvasHeight, canvasContainer){
        _this = this;

        if (!$(canvasContainer)){
            var wContainer  = document.getElementsByTagName('body')[0];
        }
        else{
            var wContainer  = $(canvasContainer);
        }
        wContainer.insert('<div id="' + id + '"></div>');
        $(id).setStyle('position:absolute;');
        $(id).setStyle('border:1px solid red;');
        $(id).setStyle('left:' + (canvasLeft ? canvasLeft : 0) + 'px;');
        $(id).setStyle('top:' + (canvasTop ? canvasTop : 0) + 'px;');
        $(id).setStyle('width:' + (canvasWidth ? canvasWidth : 200) + 'px;');
        $(id).setStyle('height:' + (canvasHeight ? canvasHeight : 200) + 'px;');
        _this.ajaxParam = $H({});
    },
        
    //起動時処理
    load: function(){
        _this.url       = '';
    },

    //起動時イベント登録処理
    eventInitialize: function(){
        $H(LBEvents).each(function(element){
            _this.observeEventList(element.key);
        }); 
    },

     //
    dummy: function(){}
});

